﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls.Charting;
using Telerik.Windows.Controls;
using SilverlightApplication1.Model;
using System.Collections.ObjectModel;
using System.Linq;
using System.Xml.Linq;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            RadChart1.ItemsSource = CreateData();
        }

        private IEnumerable<MyClass> CreateData()
        {
            Random r = new Random();
            List<MyClass> data = new List<MyClass>();

            for (int index = 0; index < 10; index++)
            {
                data.Add(new MyClass() { Process = MyClass.Processes[r.Next(0, MyClass.Processes.Count())], Timestamp = DateTime.Now.AddMinutes(index) });
            }

            return data;
        }

        private void RadChart_DataBound(object sender, ChartDataBoundEventArgs e)
        {
            RadChart chart = sender as RadChart;

            foreach (TickPoint tick in chart.DefaultView.ChartArea.AxisY.TickPoints)
            {
                tick.Label = MyClass.Processes[(int)tick.Value];
            }
        }
    }
}



